# Espressif BLE Mesh Feature List

## Currently Supported Features

### Mesh Core

* Provisioning: Node Role
    * Advertising and GATT bearer
    * Authentication OOB

* Provisioning: Provisioner Role
    * Advertising and GATT bearer
    * Authentication OOB

* Networking
    * Relay
    * Segmentation and Reassembly
    * Key Refresh
    * IV Update

* Proxy Support

* Multiple Client Models Run Simultaneously
    * Support multiple client models send packets to different nodes simultaneously
    * No blocking between client model and server

* NVS Storing
    * Store Provisioning Data of The Node Device

### Mesh Applications

* Fast Provisioning
    * Fast Provisioning Server Model
    * Fast Provisioning Client Model
    * Example & Demo Video

* Wi-Fi & BLE Mesh Coexistence
    * Example & Demo Video(coming soon)

* Mesh Console Commands
    * Example
    

### Mesh Models

* Foundation Models
    * Configuration Server Model
    * Configuration Client Model
    * Health Server Model
    * Health Client Model

* Generic Client Models
    * Generic OnOff Client
    * Generic Level Client
    * Generic Location Client
    * Generic Default Transition Timer Client
    * Generic Power OnOff Client
    * Generic Power Level Client
    * Generic Battery Client
    * Generic Property Client

* Generic Server Models
    * Generic OnOff Server (Simple)

* Lighting Client Models
    * Light Lightness Client
    * Light CTL Client
    * Light HSL Client

* Sensor Client Models
    * Sensor Client

* Time and Scenes Client Models
    * Scene Client


## Future Release Features

### Mesh Core

* BLE Mesh BQB Certification
* Friend Feature
* Low Power Node Feature

### Mesh Applications

* Fast OTA

### Mesh Models
